be.fgov.ehealth.monitoring.core.v2

## Class ElementType

- java.lang.Object
- - be.fgov.ehealth.monitoring.core.v2.ElementType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-04-30T12:02:27+02:00",
                 comments="JAXB RI v2.3.7")
      public class ElementType
      extends Object
      implements Serializable

  Extension element.

  Java class for ElementType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ElementType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="eName" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="eDescription" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="eType" use="required" type="{urn:be:fgov:ehealth:monitoring:core:v2}TypeOfElementType" />
             <attribute name="eFormat" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="eValue" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="ePerfData" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getContent()` Extension element.
    `String` | `getEDescription()` Gets the value of the eDescription property.
    `String` | `getEFormat()` Gets the value of the eFormat property.
    `String` | `getEName()` Gets the value of the eName property.
    `String` | `getEPerfData()` Gets the value of the ePerfData property.
    `TypeOfElementType` | `getEType()` Gets the value of the eType property.
    `String` | `getEValue()` Gets the value of the eValue property.
    `void` | `setContent(String value)` Sets the value of the content property.
    `void` | `setEDescription(String value)` Sets the value of the eDescription property.
    `void` | `setEFormat(String value)` Sets the value of the eFormat property.
    `void` | `setEName(String value)` Sets the value of the eName property.
    `void` | `setEPerfData(String value)` Sets the value of the ePerfData property.
    `void` | `setEType(TypeOfElementType value)` Sets the value of the eType property.
    `void` | `setEValue(String value)` Sets the value of the eValue property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElementType

          public ElementType()

  - ### Method Detail

    - #### getContent

          public String getContent()

      Extension element.
      Returns:
        possible object is `String`

    - #### setContent

          public void setContent(String value)

      Sets the value of the content property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEName

          public String getEName()

      Gets the value of the eName property.
      Returns:
        possible object is `String`

    - #### setEName

          public void setEName(String value)

      Sets the value of the eName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEDescription

          public String getEDescription()

      Gets the value of the eDescription property.
      Returns:
        possible object is `String`

    - #### setEDescription

          public void setEDescription(String value)

      Sets the value of the eDescription property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEType

          public TypeOfElementType getEType()

      Gets the value of the eType property.
      Returns:
        possible object is `TypeOfElementType`

    - #### setEType

          public void setEType(TypeOfElementType value)

      Sets the value of the eType property.
      Parameters:
        `value` - allowed object is `TypeOfElementType`

    - #### getEFormat

          public String getEFormat()

      Gets the value of the eFormat property.
      Returns:
        possible object is `String`

    - #### setEFormat

          public void setEFormat(String value)

      Sets the value of the eFormat property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEValue

          public String getEValue()

      Gets the value of the eValue property.
      Returns:
        possible object is `String`

    - #### setEValue

          public void setEValue(String value)

      Sets the value of the eValue property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEPerfData

          public String getEPerfData()

      Gets the value of the ePerfData property.
      Returns:
        possible object is `String`

    - #### setEPerfData

          public void setEPerfData(String value)

      Sets the value of the ePerfData property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSPHYSICIAN 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.